Google Authenticator

Search
Generic filters
Exact matches only
Search in title
Search in content
Search in excerpt

Google Authenticator

Version
1.5.0
Requires
18.0.36
Developer
Plesk
Category

Safeguard access to Plesk with multi-factor authentication. When you install and enable Google Authenticator, users must provide both their password and a one-time passcode generated by the Google Authenticator application installed on their mobile device to log in.

Read our blog post to learn more about Google Authenticator and other extensions that make logging in to Plesk more secure.

Search
Generic filters
Exact matches only
Search in title
Search in content
Search in excerpt

Install Google Authenticator extension

Hostname or IP or URL of your Plesk instance: